{* <!-- ===========================================================================
                                                                                  |
    Макет: Общий вид сайта.                                                       |
    ----------------------------------------------------------------------------  |
                                                                                  |
    Входные переменные:                                                           |
        $content = html-контент страницы, сгенерированный основным модулем        |
        $category = запись о текущей категории, если находимся в ней              |
        $categories = дерево категорий                                            |
        $helper = объект системного хелпера шаблонов                              |
        $emulator = объект локального хелпера шаблона                             |
                                                                                  |
============================================================================ --> *}{strip}

    {* <!-- =======================================================================
    |                                                                             |
    |  Проверяем неучтенные случаи "Ошибка 404".                                  |
    |                                                                             |
    ======================================================================== --> *}

    {include 'mod-check404.htm'}

    {* <!-- =======================================================================
    |                                                                             |
    |  Если это динамическая подгрузка или модуль сообщил, что отрисовал всю      |
    |  страницу сам, тогда выводим контент как есть.                              |
    |                                                                             |
    ======================================================================== --> *}

    {if !empty($ajax)}
        {content}
    {else}

        {* <!-- ===================================================================
        |                                                                         |
        |  Иначе разметка по стандартной схеме.                                   |
        |                                                                         |
        ==================================================================== --> *}

        <!DOCTYPE html>
        <html lang="ru">
            <head>
                <base href="{site}" />
                <title>{title}</title>

                {* <!-- ===========================================================
                |                                                                 |
                |  Метатеги.                                                      |
                |                                                                 |
                ============================================================ --> *}

                <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
                <meta name="description" content="{metaDescription}" />
                <meta name="keywords" content="{metaKeywords}" />
                <meta name="viewport" content="width=1024" />

                {* <!-- ===========================================================
                |                                                                 |
                |  Может основной модуль захотел установить канонический адрес    |
                |  страницы? Иначе канонизируем на себя, но без GET-параметров.   |
                |                                                                 |
                ============================================================ --> *}

                {if isset($canonical)}
                    <link rel="canonical" href="{site}{$canonical|escape}" />
                {else}
                    {requestUri except='*' assign=uri}
                    <link rel="canonical" href="{$uri}" />
                {/if}

                {* <!-- ===========================================================
                |                                                                 |
                |  Может основной модуль захотел добавить какие-то мета теги?     |
                |                                                                 |
                ============================================================ --> *}

                {echoVar from=meta}

                {* <!-- ===========================================================
                |                                                                 |
                |  Метка генератора страницы.                                     |
                |                                                                 |
                ============================================================ --> *}

                <meta name="generator" content="Impera CMS {version} ({versionYMD})" />

                {* <!-- ===========================================================
                |                                                                 |
                |  Стили.                                                         |
                |                                                                 |
                ============================================================ --> *}

                <link href="{theme}css/style.css" rel="stylesheet" />
                <link href="{theme}images/favicon.ico" rel="icon" type="image/x-icon" />
                <link href="{theme}images/favicon.ico" rel="shortcut icon" type="image/x-icon" />

                {* <!-- ===========================================================
                |                                                                 |
                |  Скрипты.                                                       |
                |                                                                 |
                ============================================================ --> *}

                <script>
                    var siteUrl = '{site}',
                        themeUrl = '{theme}';
                </script>
                <script src="{theme}js/jquery.js"></script>
                <script src="{theme}js/jquery-ui.min.js"></script>
                <link href="{theme}js/baloon/baloon.css" rel="stylesheet" />
                <script src="{theme}js/baloon/baloon.js"></script>
                <script src="{theme}js/autocomplete.min.js"></script>
                <script src="{theme}js/script.js"></script>

                {* <!-- ===========================================================
                |                                                                 |
                |  Всплывающие подсказки для администратора.                      |
                |                                                                 |
                ============================================================ --> *}

                {if $emulator->existsAdmin()}
                    <link href="{theme}js/admintooltip/admintooltip.css" rel="stylesheet" />
                    <script>
                        var adminToken = '{token}';
                    </script>
                    <script src="{theme}js/admintooltip/admintooltip.js"></script>
                {/if}
            </head>

            <body>

                {* <!-- ===========================================================
                |                                                                 |
                |  Ремарка (если в шаблоне присутствует такой модуль).            |
                |                                                                 |
                ============================================================ --> *}

                {$mod = 'mod-demo-remark.htm'}
                {if $emulator->existsModule($mod)}
                    {include "$mod"}
                {/if}

                {* <!-- ===========================================================
                |                                                                 |
                |  Верхняя полоса.                                                |
                |                                                                 |
                ============================================================ --> *}

                <div id="toppolosa">
                    <div class="toppolosa">

                        {* <!-- ===================================================
                        |                                                         |
                        |  Панель пользователя.                                   |
                        |                                                         |
                        ==================================================== --> *}

                        <div class="account">
                            {if !empty($user)}
                                <span class="username">
                                    <a href="account">
                                        {$user->compound_name}
                                    </a>
                                    {if !empty($group->discount)}
                                        , ваша скидка &mdash; {$group->discount}%
                                    {/if}
                                </span>
                                <a class="bluelink" href="logout">Выйти</a>
                            {else}
                                <a href="login">Вход</a>
                                <a class="bluelink" href="registration">Регистрация</a>
                            {/if}
                        </div>

                        {* <!-- ===================================================
                        |                                                         |
                        |  Читаем в переменную $topMenu страницы (sections) того  |
                        |  меню, которое названо "Верхнее меню".                  |
                        |                                                         |
                        ==================================================== --> *}

                        {menuByLangTechName name='Верхнее меню' attach=sections assign=topMenu}
                        {$currentId = $section->section_id|default:0}

                        {* <!-- ===================================================
                        |                                                         |
                        |  Меню страниц.                                          |
                        |                                                         |
                        ==================================================== --> *}

                        <ul class="menu">
                            {foreach $topMenu->sections as $item}
                                {$id = $item->section_id}

                                <li {if $currentId == $id} class="selected"{/if}>
                                    <a data-page="{$id}" href="{url}">
                                        {name}
                                    </a>
                                </li>
                            {/foreach}
                        </ul>
                    </div>
                </div>

                {* <!-- ===========================================================
                |                                                                 |
                |  Шапка.                                                         |
                |                                                                 |
                ============================================================ --> *}

                <div id="header">
                    <div class="header">
                        <div class="headertab">

                            {* <!-- ===============================================
                            |                                                     |
                            |  Логотип.                                           |
                            |                                                     |
                            ================================================ --> *}

                            <div class="logo">
                                <a href="{site}">
                                    <img src="{theme}images/logo.png" alt="{siteName}" />
                                </a>
                            </div>

                            {* <!-- ===============================================
                            |                                                     |
                            |  Поиск. Назначение полей:                           |
                            |      keyword = что ищем                             |
                            |      search_type = какой алгоритм поиска применить  |
                            |      reset_old = 1 если забыть прежние параметры    |
                            |                                                     |
                            ================================================ --> *}

                            <div class="search">
                                <form action="search" method="post">
                                    <input class="input_search" type="text" name="keyword" value="{inputValue from=keyword}" placeholder="Поиск товара" />
                                    <input name="search_type" type="hidden" value="std" />
                                    <input name="reset_old" type="hidden" value="1" />
                                    <input class="button_search" value="Найти" type="submit" />
                                </form>
                            </div>

                            {* <!-- ===============================================
                            |                                                     |
                            |  Телефоны.                                          |
                            |                                                     |
                            ================================================ --> *}

                            <div class="contacts">
                                <span>{phone}</span>
                                <span class="mail">{email}</span>
                            </div>

                            {* <!-- ===============================================
                            |                                                     |
                            |  Корзина.                                           |
                            |                                                     |
                            ================================================ --> *}

                            <div id="cart_informer">
                                {include 'mod-cart-informer.htm'}
                            </div>
                        </div>
                    </div>
                </div>

                {* <!-- ===========================================================
                |                                                                 |
                |  Горизонтальное меню.                                           |
                |                                                                 |
                ============================================================ --> *}

                <div id="gormenu">
                    <div class="gormenu">

                        {* <!-- ===================================================
                        |                                                         |
                        |  Собираем ИДы узлов категории (для "selected" ниже).    |
                        |                                                         |
                        ==================================================== --> *}

                        {$ids = []}
                        {if !empty($category->path)}
                            {foreach $category->path as $item}
                                {$ids[] = $item->category_id}
                            {/foreach}
                        {/if}

                        {* <!-- ===================================================
                        |                                                         |
                        |  Выводим дерево категорий.                              |
                        |                                                         |
                        ==================================================== --> *}

                        {function categoriesTree}
                            {if !empty($categories)}
                                <ul>
                                    {foreach $categories as $item}
                                        {if !empty($item->products_count)}
                                            {$isNode = !empty($item->subcategories)}
                                            {$id = $item->category_id}

                                            <li {if in_array($id, $ids)} class="selected"{/if}>
                                                <a {if $isNode} class="subcat"{/if} href="{url}" data-category="{$id}">
                                                    {name}
                                                </a>

                                                {if $isNode}
                                                    {categoriesTree categories=$item->subcategories}
                                                {/if}
                                            </li>
                                        {/if}
                                    {/foreach}
                                </ul>
                            {/if}
                        {/function}
                        {categoriesTree}
                    </div>
                </div>

                {* <!-- ===========================================================
                |                                                                 |
                |  Баннер.                                                        |
                |                                                                 |
                ============================================================ --> *}

                {echoVar from=pageBanner}

                {* <!-- ===========================================================
                |                                                                 |
                |  Центральная часть.                                             |
                |                                                                 |
                ============================================================ --> *}

                <div id="page">
                    <div class="page">

                        {* <!-- ===================================================
                        |                                                         |
                        |  Боковая панель.                                        |
                        |                                                         |
                        ==================================================== --> *}

                        <div class="pageleft">
                            {include 'mod-sidebar.htm'}
                        </div>

                        {* <!-- ===================================================
                        |                                                         |
                        |  Контент основного модуля (не показываем белую оболочку |
                        |  на странице каталога и товара).                        |
                        |                                                         |
                        ==================================================== --> *}

                        {$module = $smarty.get.module|default:''}
                        {$isWhite = $module != 'Products' && $module != 'Product'}
                        
                        <div class="pageright">
                            {if $isWhite}<div class="white">{/if}
                            {content}
                            {if $isWhite}</div>{/if}

                            {* <!-- ===============================================
                            |                                                     |
                            |  SEO текст.                                         |
                            |                                                     |
                            ================================================ --> *}

                            {if !empty($seo_description)}
                                <div class="clr"></div>
                                <br />
                                <div class="block">
                                    <div class="decorationcat">
                                        {$seo_description}
                                    </div>
                                </div>
                            {/if}
                        </div>
                    </div>
                </div>

                {* <!-- ===========================================================
                |                                                                 |
                |  Заметка для пользователей (показываем только на демо сайте).   |
                |                                                                 |
                ============================================================ --> *}

                {if !empty($config->demo)}
                    <div class="footer-msg">
                        <div>
                            <p><b>Обратите внимание!</b> &nbsp; В этой демонстрации шаблона вместо реальных фотографий товаров мы показываем случайный набор картинок при каждом обновлении страницы, чтобы вы могли рассмотреть вид сайта с разными типами товаров вне зависимости от того, какая база данных сейчас выбрана на сайте.</p>
                            <p>
                                <a class="btn green" href="{site}" onclick="toggleCookieFlag('bexamDefaultNoDemoImages')">
                                    {(empty($smarty.cookies.bexamDefaultNoDemoImages)) ? 'Отключить' : '<b>Включить</b>'} демо картинки
                                </a>
                            </p>
                            <p>С помощью этой кнопки вы можете отключить такое поведение и продолжить рассматривать шаблон в рамках текущей демонстрационной базы товаров с их реальными фотографиями. Или снова включить показ демо картинок.</p>
                        </div>
                    </div>
                {/if}

                {* <!-- ===========================================================
                |                                                                 |
                |  Подвал.                                                        |
                |                                                                 |
                ============================================================ --> *}

                <div class="fotermenuw">
                    <div class="fotermenu">
                        <ul class="menu2">
                            <li><a href="products">Каталог</a></li>
                            <li><a href="catalog?mode=discount"><b>Скидки</b></a></li>
                            <li><a href="catalog?mode=hit">Хиты</a></li>
                            <li><a href="catalog?mode=newest">Новинки</a></li>
                            <li><a href="catalog?mode=actional">Акции</a></li>
                            <li><a href="catalog?mode=ordered">Покупали</a></li>
                            <li><a href="catalog?mode=commented">Обсуждали</a></li>
                            <li><a href="catalog?mode=awaited">Скоро в продаже</a></li>
                        </ul>

                        <div id="bexam">
                            Дизайн - <a href="http://bexam.ru/" rel="nofollow" target="_blank" title="Шаблоны для Impera CMS">BEXAM</a>
                            {**} &nbsp; {**}
                            Скрипт - <a href="http://imperacms.ru/" rel="nofollow" target="_blank" title="Скрипт интернет магазина">Impera</a>
                        </div>
                    </div>
                </div>

                {* <!-- ===========================================================
                |                                                                 |
                |  Логотип.                                                       |
                |                                                                 |
                ============================================================ --> *}

                <div class="footer">
                    <div class="foterlogo">
                        <a href="{site}">
                            <img src="{theme}images/logo.png" alt="{siteName}" />
                        </a>
                    </div>

                    {* <!-- =======================================================
                    |                                                             |
                    |  Копирайт.                                                  |
                    |                                                             |
                    ======================================================== --> *}

                    <div id="copy">
                        Copyright &copy; {year}<br />
                        {siteName}
                    </div>

                    {* <!-- =======================================================
                    |                                                             |
                    |  Счетчики.                                                  |
                    |                                                             |
                    ======================================================== --> *}

                    <div class="statistics">
                        {counters}
                    </div>
                </div>

                {* <!-- ===========================================================
                |                                                                 |
                |  Другие дизайны (если в шаблоне есть такой модуль).             |
                |                                                                 |
                ============================================================ --> *}

                {$mod = 'mod-demo-themes.htm'}
                {if $emulator->existsModule($mod)}
                    {include "$mod"}
                {/if}

                {* <!-- ===========================================================
                |                                                                 |
                |  Скрипты.                                                       |
                |                                                                 |
                ============================================================ --> *}

                <script>
                    $(document).ready(function () {
                        $('.gormenu > ul > li').hover(
                            function () {
                                $(this).find('>ul').stop(true, true).fadeIn();
                            },
                            function () {
                                $(this).find('>ul').stop(true, true).fadeOut();
                            }
                        );

                        $('.gormenu > ul > li > ul > li').hover(
                            function () {
                                $(this).find('> ul').stop(true, true).fadeIn();
                            },
                            function () {
                                $(this).find('> ul').stop(true, true).fadeOut();
                            }
                        );
                    });

                    $(document).ready(function () {
                        $('.gormenu > ul > li').hover(
                            function() {
                                $(this).toggleClass('selected');
                            }
                        );
                    });

                    $('ul.products > li.product > .prodposit').hover(
                        function() {
                            $(this).find('.raskrivbutst').stop(true, true).fadeIn(100);
                        },
                        function() {
                            $(this).find('.raskrivbutst').stop(true, true).fadeOut(100);
                        }
                    );

                    if (!document.getElementById('bexam')) $('body').fadeOut();
                </script>
            </body>
        </html>
    {/if}

{/strip}