/* ================================================================================
                                                                                  |
    Скрипт: Основные скрипты.                                                     |
    ----------------------------------------------------------------------------  |
                                                                                  |
    Предназначен для:                                                             |
        BexamDefault = шаблон универсального интернет магазина:                   |
                           демо: http://demo.imperacms.ru/?theme=BexamDefault     |
                           дизайн: студия Bexam - http://bexam.ru/                |
                                                                                  |
    ----------------------------------------------------------------------------  |
    Студия Bexam - качественные шаблоны для сайтов на основе Impera CMS.          |
    Impera CMS   - лёгкий и быстрый скрипт сайта с потрясающими возможностями.    |
                                                                                  |
================================================================================ */

    /* ============================================================================
    |                                                                             |
    |  Автозаполнитель поиска.                                                    |
    |                                                                             |
    ============================================================================ */

    $(function() {
        try {
            $('.input_search').autocomplete({
                serviceUrl: themeUrl + 'js/ajax/search.php',
                minChars: 1,
                noCache: false, 
                onSelect: function (value, data) {
                    location.replace(data.url);
                },
                fnFormatResult: function (value, data, currentValue) {
                    var showImages = false;
                    var img = showImages && data.image ? '<img align="absmiddle" src="' + data.image + '" width="40" alt="" /> ' : '';
                    var reEscape = new RegExp('(\\' + ['/', '.', '*', '+', '?', '|', '(', ')', '[', ']', '{', '}', '\\'].join('|\\') + ')', 'g');
                    var pattern = '(' + currentValue.replace(reEscape, '\\$1') + ')';
                    return '<a href="' + data.url + '">' +
                                img +
                                value.replace(new RegExp(pattern, 'gi'), '<strong>$1<\/strong>') +
                           '</a>';
                }
            });
        } catch (e) { }
    });

    /* ============================================================================
    |                                                                             |
    |  Аяксовая корзина.                                                          |
    |                                                                             |
    ============================================================================ */

    $('form.variants').live('submit', function (e) {
        e.preventDefault();
        var button = $(this).find('input[type="submit"]'),
            variant,
            amount = 1;

        if ($(this).find('input[name=variant]:checked').size() > 0)
            variant = $(this).find('input[name=variant]:checked').val();
        if ($(this).find('select[name=variant]').size() > 0)
            variant = $(this).find('select').val();

        $.ajax({
            url: siteUrl + 'cart/add/' + variant,
            type: 'POST',
            data: { amount: amount,
                    ajax: 1 },
            error: function (xhr, status, thrown) {
                alert('Ошибка ajax-связи с сайтом!\r\rОписание: ' + thrown + '\r\rТип ошибки: ' + status);
            },
            success: function (data) {
                $('#cart_informer').html(data);
                if(button.attr('data-result-text'))
                    button.val(button.attr('data-result-text'));
            }
        });

        var o1 = $(this).offset();
        var o2 = $('#cart_informer').offset();
        var dx = o1.left - o2.left;
        var dy = o1.top - o2.top;
        var distance = Math.sqrt(dx * dx + dy * dy);

        $(this).closest('.product').find('.image img').effect('transfer', { to: $('#cart_informer'), className: 'transfer_class' }, distance);
        $('.transfer_class').html($(this).closest('.product').find('.image').html());
        $('.transfer_class').find('img').css('height', '100%');
        return false;
    });

    /* ============================================================================
    |                                                                             |
    |  Клик клавиши Enter в поле купона.                                          |
    |                                                                             |
    ============================================================================ */

    $('input[name="coupon_code"]').keypress(function (event) {
        try {
            if (event.keyCode == 13) {
                $('form[name="cart"] input[name="name"]').attr('data-format', '');
                $('form[name="cart"] input[name="email"]').attr('data-format', '');
                $('form[name="cart"] input[name="captcha"]').attr('data-format', '');
                document.cart.submit();
            }
        } catch (e) { }
    });

    /* ============================================================================
    |                                                                             |
    |  Ctrl-навигация на соседние страницы.                                       |
    |                                                                             |
    ============================================================================ */

    document.onkeydown = NavigateThrough;

    function NavigateThrough (event) {
        try {
            if (!document.getElementsByClassName) return;
            if (window.event) event = window.event;
            if (event.ctrlKey) {
                var link = null;
                var href = null;
                switch (event.keyCode ? event.keyCode : event.which ? event.which : null) {
                    case 0x25:
                        link = document.getElementsByClassName('prev_page_link')[0];
                        break;
                    case 0x27:
                        link = document.getElementsByClassName('next_page_link')[0];
                        break;
                }
                if (link && link.href) document.location = link.href;
                if (href) document.location = href;
            }
        } catch (e) { }
    };

    /* ============================================================================
    |                                                                             |
    |  Обработчик клика на кнопку валюты.                                         |
    |                                                                             |
    ============================================================================ */

    function changeCurrency ( id ) {
        try {
            var form = $('.podvalut + form');
            $(form).find('input[name="currency_id"]').val(id);
            $(form).submit();
        } catch (e) { }
        return false;
    };

    /* ============================================================================
    |                                                                             |
    |  Обработчик клика на кнопку сортировки.                                     |
    |                                                                             |
    ============================================================================ */

    function changeSort ( anchor, id ) {
        try {
            var form = $(anchor).closest('form');
            $(form).find('input[name="sort_method"]').val(id);
            $(form).submit();
        } catch (e) { }
        return false;
    };

    /* ============================================================================
    |                                                                             |
    |  Обработчик клика на кнопку "Оформить заказ".                               |
    |                                                                             |
    ============================================================================ */

    function submitCart ( anchor ) {
        try {
            var form = $(anchor).closest('form');
            $(form).find('input[name="submit_order"]').val(1);
            $(form).submit();
        } catch (e) { }
        return false;
    };

    /* ============================================================================
    |                                                                             |
    |  Показ НетФото на недоступных фотографиях.                                  |
    |                                                                             |
    ============================================================================ */

    function showNoImage ( img ) {
        try {
            img.onerror = function () { };
            img.src = themeUrl + 'images/no-photo.png';
        } catch (e) { }
    };

    /* ============================================================================
    |                                                                             |
    |  Прокрутка страницы до конкретного объекта на ней.                          |
    |                                                                             |
    ============================================================================ */

    function scrollToObject ( selector, time ) {
        try {
            var top = $(selector).offset().top;
            $('body, html').animate({ scrollTop: top }, time);
        } catch (e) { }
    };

    /* ============================================================================
    |                                                                             |
    |  Работа с Cookie.                                                           |
    |                                                                             |
    ============================================================================ */

    function createCookie (name, value, days) {
        try {
            if (days) {
                var date = new Date();
                date.setTime(date.getTime() + (days * 24 * 60 * 60 * 1000));
                var expires = '; expires=' + date.toGMTString();
            } else {
                var expires = '';
            }
            document.cookie = name + '=' + value + expires + '; path=/';
        } catch (e) { }
    }

    function readCookie (name) {
        try {
            var nameEQ = name + '=';
            var ca = document.cookie.split(';');
            for (var i = 0; i < ca.length; i++) {
                var c = ca[i];
                while (c.charAt(0) == ' ') c = c.substring(1, c.length);
                if (c.indexOf(nameEQ) == 0) return c.substring(nameEQ.length, c.length);
            }
        } catch (e) { }
        return null;
    }

    function eraseCookie (name) {
        createCookie(name, '', -1);
    }

    function toggleCookieFlag (name) {
        var state = readCookie(name) == true;
        eraseCookie(name);
        if (!state) createCookie(name, 1, 365);
    }
